Package org.jdesktop.animation.timing

# Enum Animator.Direction

java.lang.Object
java.lang.Enum<Animator.Direction>
org.jdesktop.animation.timing.Animator.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<Animator.Direction>`, `java.lang.constant.Constable`

Enclosing class:
  `Animator`

public static enum Animator.Direction extends Enum<Animator.Direction>
Direction is used to set the initial direction in which the animation starts.

See Also:
  - `Animator.setStartDirection(org.jdesktop.animation.timing.Animator.Direction)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BACKWARD`
cycle proceeds backward
`FORWARD`
cycle proceeds forward

## Method Summary

Modifier and Type
Method
Description
`static Animator.Direction`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Animator.Direction[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FORWARD

public static final Animator.Direction FORWARD
cycle proceeds forward

### BACKWARD

public static final Animator.Direction BACKWARD
cycle proceeds backward

## Method Details

### values

public static Animator.Direction[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Animator.Direction valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null